| <large>libXpertMassCore and libXpertMassGui Developer Documentation</large>

- libXpertMassCore
- ChargeSpecificFeature

# MsXpS::libXpertMassCore::Processing::ChargeSpecificFeature Struct

struct MsXpS::libXpertMassCore::Processing::ChargeSpecificFeature

This struct holds the data describing an input mass spectrum's centroid with a given tested charge. More...

Header: | `#include <MsXpS/libXpertMassCore/Processing/AbstractLowMassDeconvolver.hpp>`

- List of all members, including inherited members
- ChargeSpecificFeature is part of libXpertMassCore Data processing.

## Public Functions

QString | toString(bool with_fit_quality = false) const

## Public Variables

int | charge
MsXpS::libXpertMassCore::Processing::FitQuality | fitQuality
QSharedPointer<pappso::Trace> | matchingIsotopicClusterQSPtr
double | monoisotopicIntensity
double | monoisotopicMz
double | monoisotopicNeutralMass
double | testedIntensity
double | testedMz
double | testedNeutralMass

## Detailed Description

When a deconvolution is started, one of the firsts steps is to iterate in the input centroided mass spectrum and for each centroid that it contains:

- Convert m/z to neutral mass assuming the ion has a charge in the user-defined range of possible charges.
- Fill in the ChargeSpecificFeature and transmit it to the fitting function.
- Repeat for all the possible charges in the user-defined range.

## Member Function Documentation

### QString ChargeSpecificFeature::toString(bool with_fit_quality = false) const

Crafts a string representing this instance and returns it.

If with_fit_quality is true, the returned string also documents the FitQuality member.

## Member Variable Documentation

### int ChargeSpecificFeature::charge

This variable holds the charge being tested for the input centroided mass spectrum's centroid.

### MsXpS::libXpertMassCore::Processing::FitQuality ChargeSpecificFeature::fitQuality

FitQuality for this instance.

### QSharedPointer<pappso::Trace> ChargeSpecificFeature::matchingIsotopicClusterQSPtr

Shared pointer to the pappso::Trace representing the isotopic cluster that could be matched to this instance.

### double ChargeSpecificFeature::monoisotopicIntensity

This variable holds the intensity value for the monoisotopic centroid.

### double ChargeSpecificFeature::monoisotopicMz

This variable holds the m/z value for the monoisotopic centroid.

### double ChargeSpecificFeature::monoisotopicNeutralMass

This variable holds the neutral mass for the monoisotopic centroid.

### double ChargeSpecificFeature::testedIntensity

This variable holds the original input mass spectrum's centroid's intensity value.

### double ChargeSpecificFeature::testedMz

This variable holds the original input mass spectrum's centroid's m/z value.

### double ChargeSpecificFeature::testedNeutralMass

This variable holds the neutral mass calculated assuming the original input mass spectrum's centroid's m/z value was for the member variable charge value.